import axios from 'axios';
import { config } from '../../config';
const base = "http://localhost:" + config.internal_port

let access_token;
let axios_config;

beforeAll(async () => {
    const res = await axios.post(base + '/api/auth/login', { username: "demo", password: "demo" });
    access_token = res.data["access_token"];
    axios_config = {
        headers: { "authorization": "Bearer " + access_token },
        validateStatus: undefined
    };
});

describe('GET /api/runners/me invalid should return fail', () => {
    it('get without token should return 406', async () => {
        const res = await axios.get(base + '/api/runners/me', axios_config);
        expect(res.status).toEqual(406);
        expect(res.headers['content-type']).toContain("application/json");
    });
    it('get with invalid jwt should return 401', async () => {
        const res = await axios.get(base + '/api/runners/me/123.123', axios_config);
        expect(res.status).toEqual(401);
        expect(res.headers['content-type']).toContain("application/json");
    });
});
// ---------------